import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import { Tab } from "@blueprintjs/core/lib/esm/components/tabs/tab.js";
import { Tabs as BTabs } from "@blueprintjs/core/lib/esm/components/tabs/tabs.js";
import useFormApi from "@data-driven-forms/react-form-renderer/use-form-api";

var Tabs = function Tabs(_ref) {
  var component = _ref.component,
      name = _ref.name,
      fields = _ref.fields,
      props = _objectWithoutProperties(_ref, ["component", "name", "fields"]);

  var formOptions = useFormApi();
  return /*#__PURE__*/React.createElement(BTabs, _extends({
    id: name
  }, props), fields.map(function (_ref2) {
    var name = _ref2.name,
        title = _ref2.title,
        fields = _ref2.fields;
    return /*#__PURE__*/React.createElement(Tab, {
      key: name,
      id: name,
      title: title,
      panel: formOptions.renderForm(fields, formOptions)
    });
  }));
};

Tabs.propTypes = {
  component: PropTypes.string,
  name: PropTypes.string,
  fields: PropTypes.array
};
export default Tabs;